Beefy Boxes and Bandwidth Generously Provided by pair Networks
"be consistent"
 
PerlMonks  

Re^2: Including dependencies while creating rpm packages of perl modules

by sathya_myl (Acolyte)
on Dec 26, 2011 at 07:08 UTC ( #945090=note: print w/replies, xml ) Need Help??


in reply to Re: Including dependencies while creating rpm packages of perl modules
in thread Including dependencies while creating rpm packages of perl modules

I was trying to create an RPM for Apache::DBI module. I'm getting the following error:

Warning: prerequisite DBI 1 not found.
Warning: prerequisite Digest::SHA1 2.01 not found.
Unable to build module, the following dependencies have failed:

  • Comment on Re^2: Including dependencies while creating rpm packages of perl modules

Replies are listed 'Best First'.
Re^3: Including dependencies while creating rpm packages of perl modules
by Plankton (Vicar) on Dec 26, 2011 at 18:23 UTC
    Did you try installing DBI and Digest::SHA1 ?

      After installing DBI and Digest::SHA1 i'm able to generate rpm for Apache::DBI. Thanks for the reply.

      But when i'm trying the create rpm for HTTP::Date it dies with following error:

      Unable to build module, the following dependencies have failed:
      perl >= 5.008008

      The installed perl version is 5.10.1. Help me to proceed further.

        How are you trying to create the rpm for HTTP::Date? What command do you execute and what is its output?

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://945090]
help
Chatterbox?
and all is quiet...

How do I use this? | Other CB clients
Other Users?
Others rifling through the Monastery: (3)
As of 2018-01-21 04:00 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    How did you see in the new year?










    Results (227 votes). Check out past polls.

    Notices?